# ARBBlendFuncExtended (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ARBBlendFuncExtended

    java.lang.Object
      org.lwjgl.opengl.ARBBlendFuncExtended

    public final class ARBBlendFuncExtended

extends java.lang.Object

Field Summary
`static int` `GL_MAX_DUAL_SOURCE_DRAW_BUFFERS` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv and GetDoublev:
`static int` `GL_ONE_MINUS_SRC1_ALPHA` Accepted by the <src> and <dst> parameters of BlendFunc and BlendFunci, and by the <srcRGB>, <dstRGB>, <srcAlpha> and <dstAlpha> parameters of BlendFuncSeparate and BlendFuncSeparatei:
`static int` `GL_ONE_MINUS_SRC1_COLOR` Accepted by the <src> and <dst> parameters of BlendFunc and BlendFunci, and by the <srcRGB>, <dstRGB>, <srcAlpha> and <dstAlpha> parameters of BlendFuncSeparate and BlendFuncSeparatei:
`static int` `GL_SRC1_ALPHA` Accepted by the <src> and <dst> parameters of BlendFunc and BlendFunci, and by the <srcRGB>, <dstRGB>, <srcAlpha> and <dstAlpha> parameters of BlendFuncSeparate and BlendFuncSeparatei:
`static int` `GL_SRC1_COLOR` Accepted by the <src> and <dst> parameters of BlendFunc and BlendFunci, and by the <srcRGB>, <dstRGB>, <srcAlpha> and <dstAlpha> parameters of BlendFuncSeparate and BlendFuncSeparatei:

Method Summary
`static void` `glBindFragDataLocationIndexed(int program, int colorNumber, int index, java.nio.ByteBuffer name)`
`static void` `glBindFragDataLocationIndexed(int program, int colorNumber, int index, java.lang.CharSequence name)` Overloads glBindFragDataLocationIndexed.
`static int` `glGetFragDataIndex(int program, java.nio.ByteBuffer name)`
`static int` `glGetFragDataIndex(int program, java.lang.CharSequence name)` Overloads glGetFragDataIndex.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_SRC1_COLOR

    public static final int GL_SRC1_COLOR

  Accepted by the <src> and <dst> parameters of BlendFunc and BlendFunci, and by the <srcRGB>, <dstRGB>, <srcAlpha> and <dstAlpha> parameters of BlendFuncSeparate and BlendFuncSeparatei:

  See Also:
    Constant Field Values

### GL_SRC1_ALPHA

    public static final int GL_SRC1_ALPHA

  Accepted by the <src> and <dst> parameters of BlendFunc and BlendFunci, and by the <srcRGB>, <dstRGB>, <srcAlpha> and <dstAlpha> parameters of BlendFuncSeparate and BlendFuncSeparatei:

  See Also:
    Constant Field Values

### GL_ONE_MINUS_SRC1_COLOR

    public static final int GL_ONE_MINUS_SRC1_COLOR

  Accepted by the <src> and <dst> parameters of BlendFunc and BlendFunci, and by the <srcRGB>, <dstRGB>, <srcAlpha> and <dstAlpha> parameters of BlendFuncSeparate and BlendFuncSeparatei:

  See Also:
    Constant Field Values

### GL_ONE_MINUS_SRC1_ALPHA

    public static final int GL_ONE_MINUS_SRC1_ALPHA

  Accepted by the <src> and <dst> parameters of BlendFunc and BlendFunci, and by the <srcRGB>, <dstRGB>, <srcAlpha> and <dstAlpha> parameters of BlendFuncSeparate and BlendFuncSeparatei:

  See Also:
    Constant Field Values

### GL_MAX_DUAL_SOURCE_DRAW_BUFFERS

    public static final int GL_MAX_DUAL_SOURCE_DRAW_BUFFERS

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv and GetDoublev:

  See Also:
    Constant Field Values

Method Detail

### glBindFragDataLocationIndexed

    public static void glBindFragDataLocationIndexed(int program,
                                                     int colorNumber,
                                                     int index,
                                                     java.nio.ByteBuffer name)

### glBindFragDataLocationIndexed

    public static void glBindFragDataLocationIndexed(int program,
                                                     int colorNumber,
                                                     int index,
                                                     java.lang.CharSequence name)

  Overloads glBindFragDataLocationIndexed.

### glGetFragDataIndex

    public static int glGetFragDataIndex(int program,
                                         java.nio.ByteBuffer name)

### glGetFragDataIndex

    public static int glGetFragDataIndex(int program,
                                         java.lang.CharSequence name)

  Overloads glGetFragDataIndex.

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.